claw::ai::game::alpha_beta< State > Class Template Reference

Find an action with the alpha-beta algorithm. More...

`#include <game_ai.hpp>`

## Public Types

typedef State | state
| The type of a state in the game.
typedef State::action | action
| The type of the actions that change the state of the game.
typedef State::score | score
| The type used to represent the score.

## Public Member Functions

score | operator() (int depth, const state &current_state, bool computer_turn) const

## Detailed Description

template<typename State>
class claw::ai::game::alpha_beta< State >

Find an action with the alpha-beta algorithm.

Template parameters:

- State: the type of a state of the game. Must inherit from game_state.

Author
  Julien Jorge, Sébastien Angibaud

Definition at line 167 of file game_ai.hpp.

## Member Typedef Documentation

## action

template<typename State>

typedef State::action claw::ai::game::alpha_beta< State >::action

The type of the actions that change the state of the game.

Definition at line 174 of file game_ai.hpp.

## score

template<typename State>

typedef State::score claw::ai::game::alpha_beta< State >::score

The type used to represent the score.

Definition at line 177 of file game_ai.hpp.

## state

template<typename State>

typedef State claw::ai::game::alpha_beta< State >::state

The type of a state in the game.

Definition at line 171 of file game_ai.hpp.

The documentation for this class was generated from the following file:

- game_ai.hpp